Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236538 - LiveCD didn't boot from 1GB USB stick
Summary: LiveCD didn't boot from 1GB USB stick
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-16 09:27 UTC by Sergey Scobich
Modified: 2013-03-06 03:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-17 20:14:24 UTC


Attachments (Terms of Use)

Description Sergey Scobich 2007-04-16 09:27:21 UTC
Description of problem:
LiveCD didn't boot if copied to 1GB USB stick,

Version-Release number of selected component (if applicable):
rawhide-20070411-i386-live.torrent

How reproducible:
Always

Steps to Reproduce:
1. Copy compressed image, initrd, vmlinuz files to root of USB stick,
2. Copy isolinux.cfg to syslinux.cfg
3. Edit syslinux.cfg: change CDLABEL to USB stick label, change rootfs type to vfat.
4. Install syslinux to USB and boot from it
  
Actual results:
After loading the kernel, there is a little lockup for 10-20 sec during
searching for root partition. Then a message appeared: fedora cannot find a root
file system in /dev/root and openned a bash. The booting process stopped.

Expected results:
Booting to GUI.

Additional info:
After I got a bash I made a sym link to usb partition:
ln /dev/sdb1 /dev/root
and exit the bash.
Booting continue without any problems.

It will be nice if liveCD automaticaly recognize root partition from USB stick
during booting

Comment 1 Jeremy Katz 2007-04-16 18:45:12 UTC
This does work for me... can you try using the actual script from the
livecd-tools package (livecd-iso-to-disk) rather than just running things by hand?

Comment 2 Sergey Scobich 2007-04-17 20:14:24 UTC
I forgot to mention that I did this from Windows, and don't have linux installed
yet.

I cheched the init script and found out that I need to change "CDLABEL" to
"LABEL"  in syslinux.cfg. After that I succesfully boot from USB.

For CDLABEL sda[0-9] were not included in udev rules, and this was my problem.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.